<?php 
// TESTIMONIALS SECTION START HERE 
/*============TESTIMONIALS SECTION PANEL============*/
$wp_customize->add_section(
    'luzuk_testimonials_section',
    array(
        'title'         => __( 'Testimonial Section', 'luzuk-themes' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);

    //ENABLE/DISABLE TESTIMONIALS SECTION
$wp_customize->add_setting(
    'luzuk_testimonials_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_testimonials_section_disable',
        array(
            'settings'      => 'luzuk_testimonials_section_disable',
            'section'       => 'luzuk_testimonials_section',
            'label'         => __( 'Disable Section', 'luzuk-themes' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-themes' ),
                'off' => __( 'No', 'luzuk-themes' )
            )   
        )
    )
);
 
//
backgroundManager($wp_customize, 'testimonials', 'luzuk_testimonials_section', $color='#fff', get_template_directory_uri().'/images/testimonial-bg1.jpg', 'color');

addColorPalatOption($wp_customize, 'sec_testimonials_textboxolyColor', 'luzuk_testimonials_section', 'Section Overlay Color', '#000');

//addColorPalatOption($wp_customize, 'sec_testimonials_textboxColor', 'luzuk_testimonials_section', 'Testimonials Box Background Color', '#fff');

//
lzCustomLable($wp_customize, 'testimonials_padding', 'luzuk_testimonials_section', ' Section Padding Setting');

$wp_customize->add_setting(
    'testimonisection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-themes' )
    )
);
$wp_customize->add_control(
    'testimonisection_toppadding',
    array(
        'settings'      => 'testimonisection_toppadding',
        'section'       => 'luzuk_testimonials_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-themes' )
    )
);
$wp_customize->add_setting(
    'testimonisection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8em', 'luzuk-themes' )
    )
);
$wp_customize->add_control(
    'testimonisection_bottompadding',
    array(
        'settings'      => 'testimonisection_bottompadding',
        'section'       => 'luzuk_testimonials_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-themes' )
    )
);

$wp_customize->add_setting(
    'luzuk_testimonials_title_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'luzuk_testimonials_title_subtitle_heading',
        array(
            'settings'      => 'luzuk_testimonials_title_subtitle_heading',
            'section'       => 'luzuk_testimonials_section',
            'label'         => __( 'Section Title', 'luzuk-themes' ),
        )
    )
);


$wp_customize->add_setting(
    'luzuk_testimonials_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'USER TESTIMONIALS', 'luzuk-themes' )
    )
);
$wp_customize->add_control(
    'luzuk_testimonials_title',
    array(
        'settings'      => 'luzuk_testimonials_title',
        'section'       => 'luzuk_testimonials_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-themes' )
    )
);

// Heading  color
addColorPalatOption($wp_customize, 'section_testimonials_HeadingColor', 'luzuk_testimonials_section', 'Section Heading Color', '#fff');

addColorPalatOption($wp_customize, 'testimonialsHeadingbrdColor', 'luzuk_testimonials_section', 'Section Heading Border & Icon Color', '#ff9310');

if(!is_array($TesimonialsSingleChoice)){
    $wp_customize->add_setting('luzuk_testimonials_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Info_Text( 
            $wp_customize,
            'luzuk_testimonials_section_lbl',
            array(
                'settings'      => 'luzuk_testimonials_section_lbl',
                'section'       => 'luzuk_testimonials_section',
                'label'         => __( 'Note:', 'luzuk-themes' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the Testimonials.</strong> <br/>Please add the Testimonials from "Testimonials menu" and then select Testimonial to show information.', 'luzuk-themes' ),
            )
        )
    );
}
$wp_customize->add_setting('luzuk_premium_testimonials_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));

$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_testimonials_section_lbl',
        array(
            'settings'      => 'luzuk_premium_testimonials_section_lbl',
            'section'       => 'luzuk_testimonials_section',
            'label'         => __( 'Note:', 'luzuk-themes' ), 
            'description'   => __( 'Just place the shortcode "[TESTIMONIALS]" in your page to list the Testimonials in a page ', 'luzuk-themes' ),
        )
    )
);
//TESTIMONIALS PAGES
for( $i = 1; $i < 11; $i++ ){
    $wp_customize->add_setting(
        'luzuk_testimonials_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_testimonials_heading'.$i,
            array(
                'settings'      => 'luzuk_testimonials_heading'.$i,
                'section'       => 'luzuk_testimonials_section',
                'label'         => __( 'Client Testimonials ', 'luzuk-themes' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'luzuk_testimonials_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'luzuk_testimonials_page'.$i,
        array(
            'settings'      => 'luzuk_testimonials_page'.$i,
            'section'       => 'luzuk_testimonials_section',
            'type'=> 'select',
            'label'         => __( 'Select a Client Testimonials', 'luzuk-themes' ),
            'choices' => $TesimonialsSingleChoice,
        )
    );
}


// text  color

lzCustomLable($wp_customize, 'testimoni', 'luzuk_testimonials_section', 'Section Colors Setting:');

addColorPalatOption($wp_customize, 'sec_testimonials_textboxColor', 'luzuk_testimonials_section', 'Testimonials Box Background Color', '#fff');

addColorPalatOption($wp_customize, 'sec_testimonials_textboxhvColor', 'luzuk_testimonials_section', 'Testimonials Box Background Hover Color', '#fddb1f');

addColorPalatOption($wp_customize, 'sec_testimonials_textbrdColor', 'luzuk_testimonials_section', 'Testimonials Box Border Color', '#fddb1f');

addColorPalatOption($wp_customize, 'sec_testimonials_imgbrdColor', 'luzuk_testimonials_section', 'Testimonials Image Border Color', '#ff9310');

// text  color
addColorPalatOption($wp_customize, 'sec_testimonials_textColor', 'luzuk_testimonials_section', 'Testimonials text Color', '#343434');

// Title  color
addColorPalatOption($wp_customize, 'sec_testimonials_authtitleColor', 'luzuk_testimonials_section', 'Author Name Color', '#161616');

addColorPalatOption($wp_customize, 'sec_testimonials_authtitlehvColor', 'luzuk_testimonials_section', 'Author Name Hover Color', '#fff');

addColorPalatOption($wp_customize, 'sec_testimonials_iconColor', 'luzuk_testimonials_section', 'Section Icon Color', '#c3bbbb');

addColorPalatOption($wp_customize, 'sec_testimonials_authtitlebgColor', 'luzuk_testimonials_section', 'Author Name Background Color', '#fddb1f');

addColorPalatOption($wp_customize, 'sec_testimonials_authtitlebghvColor', 'luzuk_testimonials_section', 'Author Name Background Hover Color', '#013258');

// Title  color
addColorPalatOption($wp_customize, 'sec_testimon_authdesignationColor', 'luzuk_testimonials_section', 'Author Designation Color', '#ff9310');

// Slider Indicators color
addColorPalatOption($wp_customize, 'testimonials_indicatorsColor', 'luzuk_testimonials_section', 'Slider Arrow Color', '#fff');

// Slider Act Indicators color
addColorPalatOption($wp_customize, 'testimonials_indicatorsactColor', 'luzuk_testimonials_section', 'Slider Arrow Hover Color', '#fddb1f');



// TESTIMONIALS SECTION END HERE 